# $Revision: 1.37 $, $Date: 2009/10/23 17:06:44 $
# NOTE:
# - homepage says this pkg is EOL, we should catch up
# TODO:
# - can we provide java-sun-jre-X11 for GUI apps?

# gcc >= 6:4.3.1-3 is required for working ecj1.
# gcc >= 6:4.4.0 is required because of aot-compile and rebuild-gcj-db scripts
%define		gcc_ver	6:4.4.0
Summary:	Shell scripts and symbolic links to simulate a Java runtime environment with GCJ
Summary(pl.UTF-8):	Skrypty powłoki i dowiązania do symulacji środowiska uruchomieniowego Javy przy użyciu GCJ
Name:		java-gcj-compat
Version:	1.0.78
Release:	9
License:	GPL v2
Group:		Development/Languages/Java
Source0:	ftp://sources.redhat.com/pub/rhug/%{name}-%{version}.tar.gz
# Source0-md5:	03d8e7e4a52608878600cd16f5c8454a
Patch0:		%{name}-javac.patch
URL:		http://sources.redhat.com/rhug/java-gcj-compat.html
BuildRequires:	gcc-java >= %{gcc_ver}
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	which
Requires:	java-gnu-classpath
Requires:	libgcj >= %{gcc_ver}
Provides:	java
Provides:	jce = 1.5
Provides:	jre = 1.5
Obsoletes:	java-sun-jre
Obsoletes:	java-sun-jre-jdbc
Obsoletes:	jdkgcj
Conflicts:	java-sun
Conflicts:	java-sun-jre-X11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_jvmroot	%{_libdir}/java
%define		_jvmdir		%{_jvmroot}/java-1.5.0-gcj-1.5.0.0
%define		_gccinc		%{_libdir}/gcc/%{_target_platform}/%{cc_version}/include

%description
A collection of wrapper scripts, symlinks and jar files. It is meant
to provide an JRE-like interface to the GCJ tool set.

%description -l pl.UTF-8
Zestaw skryptów obudowujących, dowiązań symbolicznych i plików jar,
mający na celu dostarczenie podobnego do JRE interfejsu do zestawu
narzędzi GCJ.

%package devel
Summary:	Shell scripts and symbolic links to simulate Java development environment with GCJ
Summary(pl.UTF-8):	Skrypty powłoki i dowiązania do symulacji środowiska programistycznego Javy przy użyciu GCJ
Group:		Development/Languages/Java
Requires:	%{name} = %{version}-%{release}
Requires:	gcc-java >= %{gcc_ver}
Requires:	gjdoc
Requires:	libgcj-devel >= %{gcc_ver}
Provides:	jar
Provides:	java-jre-tools
Provides:	jdk = 1.5
Obsoletes:	fastjar
Obsoletes:	java-sun
Obsoletes:	java-sun-tools
Conflicts:	fastjar
Conflicts:	java-sun-jre
Conflicts:	java-sun-jre-X11

%description devel
A collection of wrapper scripts, symlinks and jar files. It is meant
to provide an JDK-like interface to the GCJ tool set.

%description devel -l pl.UTF-8
Zestaw skryptów obudowujących, dowiązań symbolicznych i plików jar,
mający na celu dostarczenie podobnego do JDK interfejsu do zestawu
narzędzi GCJ.

%package -n python-java-gcj-compat
Summary:	Python modules for java-gcj-compat
Summary(pl.UTF-8):	Moduły języka Python dla java-gcj-compat
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq  python-libs

%description -n python-java-gcj-compat
Python modules for java-gcj-compat.

%description -n python-java-gcj-compat -l pl.UTF-8
Moduły języka Python dla java-gcj-compat.

%prep
%setup -q
%patch0 -p1
%{__sed} -i 's/sinjdoc/gjdoc/g' Makefile.*
%{__sed} -i 's/fastjar/gjar/g' Makefile.*
%{__sed} -i 's/ecj/gcj/g' Makefile.*

%build

%configure \
	--with-arch-directory=%{_target_base_arch} \
	--with-os-directory=linux \
	--with-jvm-root-dir=%{_jvmroot} \
	--with-classpath-security=%{_jvmdir}/lib/security/classpath.security \
	--with-security-directory=%{_sysconfdir}/java/security/security.d

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cat <<'EOF' >$RPM_BUILD_ROOT%{_jvmdir}/bin/javac
#!/bin/sh
exec %{_bindir}/gij -jar %{_javadir}/ecj.jar ${1:+"$@"}
EOF

for f in jaas jdbc-stdext jce jndi jndi-cos jndi-ldap jndi-ldap jndi-rmi jta rt; do
	ln -sf %{_javadir}/libgcj.jar $RPM_BUILD_ROOT%{_jvmdir}/jre/lib/$f.jar
	cp -d $RPM_BUILD_ROOT{%{_jvmdir}/jre/lib/$f.jar,%{_javadir}}
done

ln -sf %{_gccinc}/jawt_md.h	$RPM_BUILD_ROOT%{_jvmdir}/include/linux/jawt_md.h
ln -sf %{_gccinc}/jawt.h	$RPM_BUILD_ROOT%{_jvmdir}/include/jawt.h
ln -sf %{_gccinc}/jni.h		$RPM_BUILD_ROOT%{_jvmdir}/include/jni.h
ln -sf %{_gccinc}/jvmpi.h	$RPM_BUILD_ROOT%{_jvmdir}/include/jvmpi.h

#gnucrypto: jce.jar
#jessie: {jcert,jnet,jsse}.jar -> jre/lib/jsse.jar

# gnu-classpath classes
install -d $RPM_BUILD_ROOT%{_jvmdir}/lib
ln -sf %{_javadir}/tools.jar $RPM_BUILD_ROOT%{_jvmdir}/lib/tools.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%dir %{_jvmdir}
%dir %{_jvmdir}/bin
%dir %{_jvmdir}/lib
%attr(755,root,root) %{_bindir}/java
%attr(755,root,root) %{_bindir}/keytool
%attr(755,root,root) %{_bindir}/rmiregistry
%attr(755,root,root) %{_jvmdir}/bin/java
%attr(755,root,root) %{_jvmdir}/bin/keytool
%attr(755,root,root) %{_jvmdir}/bin/rmiregistry
%dir %{_jvmdir}/jre
%dir %{_jvmdir}/jre/bin
%attr(755,root,root) %{_jvmdir}/jre/bin/java
%attr(755,root,root) %{_jvmdir}/jre/bin/keytool
%attr(755,root,root) %{_jvmdir}/jre/bin/rmiregistry
%dir %{_jvmdir}/jre/lib
%dir %{_jvmdir}/jre/lib/%{_target_base_arch}
%{_jvmdir}/jre/lib/*.jar
%{_javadir}/*.jar

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/appletviewer
%attr(755,root,root) %{_bindir}/jar
%attr(755,root,root) %{_bindir}/jarsigner
%attr(755,root,root) %{_bindir}/javac
%attr(755,root,root) %{_bindir}/javadoc
%attr(755,root,root) %{_bindir}/javah
%attr(755,root,root) %{_bindir}/rmic
%attr(755,root,root) %{_jvmdir}/bin/appletviewer
%attr(755,root,root) %{_jvmdir}/bin/jar
%attr(755,root,root) %{_jvmdir}/bin/jarsigner
%attr(755,root,root) %{_jvmdir}/bin/javac
%attr(755,root,root) %{_jvmdir}/bin/javadoc
%attr(755,root,root) %{_jvmdir}/bin/javah
%attr(755,root,root) %{_jvmdir}/bin/rmic
%attr(755,root,root) %{_jvmdir}/lib/tools.jar
%dir %{_jvmdir}/include
%{_jvmdir}/include/*.h
%dir %{_jvmdir}/include/linux
%{_jvmdir}/include/linux/*.h

%files -n python-java-gcj-compat
%defattr(644,root,root,755)
%{py_sitescriptdir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-gcj-compat.spec,v $
Revision 1.37  2009/10/23 17:06:44  sls
- BR: which

Revision 1.36  2009/06/16 23:58:13  glen
- url and eol note

Revision 1.35  2009/05/20 07:28:53  glen
- -devel: O/C: fastjar for builders to be able to switch with java-sun; rel 9

Revision 1.34  2009/05/20 07:11:50  glen
- java-sun -> gcj switch broken (trying to remove not installed packages)

Revision 1.33  2009/04/22 19:07:21  pawelz
- removed aot-compile and rebuild-gcj-db (provided by gcc-4.4.0)
- R: gcc >= 6:4.4.0
- rel 8

Revision 1.32  2009/04/15 13:37:01  spider
- br: python-devel

Revision 1.31  2009/03/27 11:53:16  pawelz
- missing dir
- rel 7

Revision 1.30  2009/03/25 19:45:07  pawelz
- JDK should provide $JAVA_HOME/lib/tools.jar, so create such symlink
- R: java-gnu-classpath (/usr/share/java/tools.jar)
- rel 6

Revision 1.29  2009/02/19 10:14:21  pawelz
- C: java-sun-*
- sorted deps
- rel 5

Revision 1.28  2009/02/17 11:43:45  pawelz
- P: jce = 1.5
- rel 4

Revision 1.27  2009/02/17 07:23:07  pawelz
- P: jce

Revision 1.26  2009/02/02 23:15:53  pawelz
- rel 3

Revision 1.25  2009/02/02 23:06:29  pawelz
- fixed internal deps.

Revision 1.24  2009/02/02 13:42:52  pawelz
- devel P: java-jre-tools

Revision 1.23  2009/01/31 00:54:45  pawelz
- P: java
- strict internal deps
- fixed last commit msg

Revision 1.22  2009/01/31 00:31:21  pawelz
- it provides jre/jdk = 1.5
- rel 2

Revision 1.21  2009/01/28 13:09:45  pawelz
- -devel P: jar
- adapterized
- rel 1

Revision 1.20  2008/11/16 11:33:19  arekm
- no libs subpkg

Revision 1.19  2008/07/30 17:53:40  qboosh
- unified _ver macro namespace

Revision 1.18  2008/07/30 17:51:39  qboosh
- unified

Revision 1.17  2008/07/28 20:00:41  glen
- better

Revision 1.16  2008/07/28 19:59:48  glen
- use %cc_version

Revision 1.15  2008/07/28 13:01:58  pluto
- simplify gcc macros.
- fix javac wrapper (now it runs ecj wich accepts arguments in sunish way).

Revision 1.14  2008/07/28 12:40:09  arekm
- package symlinks

Revision 1.13  2008/07/28 10:38:47  blekot
- using gjdoc, gjar and gcj
- strict requires to libgcj-devel version

Revision 1.12  2008/07/28 07:50:01  blekot
- starting with 1.0.78
- added python package
- builds, not tested (NFY)

Revision 1.11  2007/10/09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.10  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.8  2005/04/29 02:28:06  pluto
- java includes symlinked.
- rlease 1.2.

Revision 1.7  2005/04/21 17:22:52  qboosh
- typo

Revision 1.6  2005/04/19 11:12:36  pluto
- BR(sed) removed, added note about jce.jar.

Revision 1.5  2005/04/19 11:09:00  pluto
- %files, %install almost finished.
- P:, O: need check and extend.

Revision 1.4  2005/04/19 10:01:57  pluto
- added -devel subpackage, nfy.

Revision 1.3  2005/04/18 19:58:03  qboosh
- pl

Revision 1.2  2005/04/18 14:44:01  pluto
- new javac wrapper.
- release 1.

Revision 1.1  2005/04/18 03:56:11  pluto
- SDK-like interface to GCJ tool set.
